Advisory Details

October 14th, 2022

Adobe ColdFusion Application Server Directory Traversal Remote Code Execution Vulnerability

ZDI-22-1433
ZDI-CAN-16884

CVE ID CVE-2022-38421
CVSS SCORE 6.6, (AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Adobe
AFFECTED PRODUCTS ColdFusion
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Adobe ColdFusion. Authentication is required to exploit this vulnerability.

The specific flaw exists within the Application Server endpoint, which listens on TCP port 8500 by default. The issue results from the lack of proper validation of a user-supplied path prior to using it in file operations. An attacker can leverage this vulnerability to execute code in the context of SYSTEM.

ADDITIONAL DETAILS Adobe has issued an update to correct this vulnerability. More details can be found at:
https://helpx.adobe.com/security/products/coldfusion/apsb22-44.html
DISCLOSURE TIMELINE
  • 2022-05-25 - Vulnerability reported to vendor
  • 2022-10-14 - Coordinated public release of advisory
CREDIT rgod
BACK TO ADVISORIES